<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="io.renren.modules.generator.dao.EdgenodesDao">

    <!-- 可根据自己的需求，是否要使用 -->
    <resultMap type="io.renren.modules.generator.entity.EdgenodesEntity" id="edgenodesMap">
        <result property="edgenodesName" column="edgenodes_name"/>
        <result property="edgenodesStatus" column="edgenodes_status"/>
        <result property="edgenodesId" column="edgenodes_id"/>
        <result property="edgenodesRole" column="edgenodes_role"/>
        <result property="cpu" column="cpu"/>
        <result property="memory" column="memory"/>
        <result property="edgenodesPods" column="edgenodes_pods"/>
        <result property="allocatedCpu" column="allocated_cpu"/>
        <result property="allocatedMemory" column="allocated_memory"/>
        <result property="edgenodesIp" column="edgenodes_ip"/>
        <result property="osImage" column="os_image"/>
        <result property="operatingSystem" column="operating_system"/>
        <result property="kernelVersion" column="kernel_version"/>
        <result property="containerRuntimeVersion" column="container_runtime_version"/>
        <result property="kubeletVersion" column="kubelet_version"/>
        <result property="architecture" column="architecture"/>
        <result property="createdTime" column="created_time"/>
    </resultMap>


</mapper>